D-Bus: DBusTransportVTable Struct Reference

D-Bus 1.16.2

Data Fields
DBusTransportVTable Struct Reference

The virtual table that must be implemented to create a new kind of transport. More...

`#include <dbus-transport-protected.h>`

## Data Fields
void(* | finalize )(DBusTransport *transport)
| The finalize method must free the transport.
dbus_bool_t(* | handle_watch )(DBusTransport *transport, DBusWatch *watch, unsigned int flags)
| The handle_watch method handles reading/writing data as indicated by the flags.
void(* | disconnect )(DBusTransport *transport)
| Disconnect this transport.
dbus_bool_t(* | connection_set )(DBusTransport *transport)
| Called when transport->connection has been filled in.
void(* | do_iteration )(DBusTransport *transport, unsigned int flags, int timeout_milliseconds)
| Called to do a single "iteration" (block on select/poll followed by reading or writing data).
void(* | live_messages_changed )(DBusTransport *transport)
| Outstanding messages counter changed.
dbus_bool_t(* | get_socket_fd )(DBusTransport *transport, DBusSocket *fd_p)
| Get socket file descriptor.

## Detailed Description

The virtual table that must be implemented to create a new kind of transport.

Definition at line 43 of file dbus-transport-protected.h.

## Field Documentation

## ◆ connection_set

dbus_bool_t(* DBusTransportVTable::connection_set) (DBusTransport *transport)

Called when transport->connection has been filled in.

Definition at line 58 of file dbus-transport-protected.h.

Referenced by _dbus_transport_set_connection().

## ◆ disconnect

void(* DBusTransportVTable::disconnect) (DBusTransport *transport)

Disconnect this transport.

Definition at line 55 of file dbus-transport-protected.h.

Referenced by _dbus_transport_disconnect().

## ◆ do_iteration

void(* DBusTransportVTable::do_iteration) (DBusTransport *transport, unsigned int flags, int timeout_milliseconds)

Called to do a single "iteration" (block on select/poll followed by reading or writing data).

Definition at line 61 of file dbus-transport-protected.h.

Referenced by _dbus_transport_do_iteration().

## ◆ finalize

void(* DBusTransportVTable::finalize) (DBusTransport *transport)

The finalize method must free the transport.

Definition at line 45 of file dbus-transport-protected.h.

Referenced by _dbus_transport_unref().

## ◆ get_socket_fd

dbus_bool_t(* DBusTransportVTable::get_socket_fd) (DBusTransport *transport, DBusSocket *fd_p)

Get socket file descriptor.

Definition at line 71 of file dbus-transport-protected.h.

Referenced by _dbus_transport_get_socket_fd().

## ◆ handle_watch

dbus_bool_t(* DBusTransportVTable::handle_watch) (DBusTransport *transport, DBusWatch *watch, unsigned int flags)

The handle_watch method handles reading/writing data as indicated by the flags.

Definition at line 48 of file dbus-transport-protected.h.

Referenced by _dbus_transport_handle_watch().

## ◆ live_messages_changed

void(* DBusTransportVTable::live_messages_changed) (DBusTransport *transport)

Outstanding messages counter changed.

Definition at line 68 of file dbus-transport-protected.h.

Referenced by _dbus_transport_queue_messages().

The documentation for this struct was generated from the following file:

- dbus-transport-protected.h